Call Recorder for Skype Support

Using Call Recorder with Older OS X Versions

Call Recorder v2.7.1 requires Mac OS X 10.9 or newer. We make older Call Recorder versions available as needed for users of older OS X versions:

OS X 10.8 users: Use Call Recorder v2.6.4. This will be available on the Customer Center page upon purchasing.

OS X 10.6 and 10.7: Use Call Recorder v2.5.9. This will be available on the Customer Center page upon purchasing.

OS X 10.5: Use Call Recorder v.2.4.1: This will be available on the Customer Center page upon purchasing.